1.4.0.BUILD-SNAPSHOT: gradle bootrun ile derlemek ve yay çizme-gradle-eklenti bulunamadı almaya çalışırken

oy
1

Ben cmd istemi penceresinde gradle bootrun ile benim gradle projeyi koşuyorum.

Ben olsun hata şudur:

************ GRADLE *****************

İşte benim build.gradle dosyasıdır:

buildscript {
    ext {
        springBootVersion = '1.5.3.RELEASE'
    }
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath(org.springframework.boot:spring-boot-gradle-plugin:1.4.0.BUILD-SNAPSHOT) ***<-- THIS DOESN'T EXIST on repo.Spring.io. Only 1.2.0 = 5.x*** or ***<-- on repo.spring.io***
    }
}

apply plugin: 'java'
apply plugin: 'idea'
apply plugin: 'eclipse'
apply plugin: 'spring-boot' 
apply plugin: 'org.springframework.boot'
//apply plugin: 'war'

version = '0.0.1'
sourceCompatibility = 1.8

repositories {
    jcenter()
    mavenCentral()
    flatDir {
        dirs 'repository'
    }
    mavenCentral()
}
ext {
    springCloudVersion = 'Edgware.SR3'
}

dependencies {
    compile('org.springframework.boot:spring-boot-starter-aop')
    compile('org.springframework.boot:spring-boot-starter-security')
    compile('org.springframework.boot:spring-boot-starter-web')
    compile(org.springframework.boot:spring-boot-devtools)
    compile('org.springframework.boot:spring-boot-starter-actuator')

    compile group: 'joda-time', name: 'joda-time'

    compile group: 'com.myfolder', name: 'all_pfs', version: '7.1.9'
    compile group: 'com.myfolder', name: 'pfs-client', version: '7.1.9'
    compile group: 'com.myfolder.pfs.wic', name: 'pfs-wic', version: '1.1.0.RC3'
    compile group: 'com.picketlink.picketlink', name: 'picketlink-fed', version: '2.0.3-SNAPSHOT'

    compile group: 'commons-httpclient', name: 'commons-httpclient', version: '3.1'
    compile group: 'commons-lang', name: 'commons-lang', version: '2.6'
    compile group: 'org.apache.httpcomponents', name: 'httpclient'
    compile group: 'xstream', name: 'xstream', version: '1.2.2'
    compile group: 'javax.ejb', name: 'javax.ejb-api', version: '3.2'

    compile group: 'io.springfox', name: 'springfox-swagger2', version:'2.6.1'
    compile group: 'io.springfox', name: 'springfox-swagger-ui', version:'2.6.1'

compile group: 'org.apache.commons', name: 'commons-io', version: '1.3.2'

compile group: 'commons-beanutils', name: 'commons-beanutils', version: '1.8.3'

compile group: 'org.codehaus.jackson', name: 'jackson-mapper-asl', version: '1.9.13'

compile group: 'org.springframework', name: 'spring-messaging', version: '4.2.6.RELEASE'


compile group: 'org.springframework', name: 'spring-websocket', version: '4.3.11.RELEASE'

compile('org.springframework.boot:spring-boot-starter-test')

compile group: 'org.springframework.boot', name: 'spring-boot-starter-data-jpa', version: '1.5.6.RELEASE'


testCompile group: 'com.microsoft.sqlserver', name: 'sqljdbc4', version: '4.0'

    compile name: sqljdbc4-4.0

    //Added to implement slf4j logger
    compile group: 'org.slf4j', name:'slf4j-api', version: '1.7.2'                                                                                                                                                                            
    //compile group: 'ch.qos.logback', name:'logback-classic', version: '1.0.9'                                                                                                                                                                 
    //compile group: 'ch.qos.logback', name:'logback-core', version: '1.0.9' 


// jsoup HTML parser library @ https://jsoup.org/
compile 'org.jsoup:jsoup:1.11.3'

compile group: 'com.datastax.cassandra',name: 'cassandra-driver-core',version:'3.2.0'
compile('org.springframework.boot:spring-boot-starter-data-cassandra')

compile('org.projectlombok:lombok:1.18.2')

compile group: 'com.myfolder.service.fusion.audit.client', name: 'audit-client', version: '2.0.1.RELEASE'

compile group: 'org.apache.httpcomponents', name: 'httpasyncclient', version: '4.1.3'

}

dependencyManagement {
    imports {
        mavenBom org.springframework.cloud:spring-cloud-dependencies:${springCloudVersion}
    }
}

Ama bu her org.springframework.boot / .context / web.client yok başlayarak geçerli:

İşte göstermek için birkaç görüntüleri var: Spring

Sağ

Bu

Ben NetBeans CACHE silinmiş ve hala ... NetBeans proje ve indicies yeniden izin yok sevinç!

Herhangi bir yardım veya fikir büyük takdir edilecektir.

Oluştur 27/11/2018 saat 18:12
kaynak kullanıcı
Diğer dillerde...                            


1 cevaplar

oy
1

Eğer yapılandırmış buildscriptonun tek depo olarak Maven'in Central kullanmak:

repositories {
    mavenCentral()
}

Ayrıca Bahar Boot en Gradle Eklentisi 1.4.0.BUILD-SNAPSHOT bağlıdır bunu yapılandırmış:

dependencies {
    classpath("org.springframework.boot:spring-boot-gradle-plugin:1.4.0.BUILD-SNAPSHOT")
}

Anlık Maven'in Central yayınlanmamaktadır, sadece bültenleri orada yayınlanmaktadır. Dönüm Noktaları ve anlık olarak yayınlanan https://repo.spring.io . Özellikle, anlık temin edilebilir https://repo.spring.io/snapshot ve kilometre taşları temin edilebilir https://repo.spring.io/milestone . Sen eklentisi Boot en Gradle ait 1.4.0.BUILD-SNAPSHOT bulabilirsiniz burada .

Bahar Boot bir anlık sürümünü kullanmak istiyorsanız, eklemek gerekir https://repo.spring.io/snapshot ve https://repo.spring.io/milestone yapılandırılmış havuzlarına:

repositories {
    mavenCentral()
    maven { url 'https://repo.spring.io/snapshot' }
    maven { url 'https://repo.spring.io/milestone' }
}

kilometre taşı depo kilometre taşı bağımlılıkları olabilen bir bahar Boot anlık olarak gereklidir.

Alternatif olarak ve özellikle 1.4.0 şimdi ve artık desteklenmeyen oldukça eski olduğu göz önüne alındığında, bir daha yeni sürüme yükseltmek isteyebilirsiniz. Yazım sırasında, 1.5.17.RELEASE 1.x çizgi, son ve 2.1.0.RELEASE 2.x çizgi, son.

Böyle 1.5.17.RELEASE yükseltmek olabilir:

buildscript {
    ext {
        springBootVersion = '1.5.17.RELEASE'
    }
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath("org.springframework.boot:spring-boot-gradle-plugin:$springBootVersion")
    }
}
Cevap 27/11/2018 saat 21:49
kaynak kullanıcı

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more